Bug 1488476 (CVE-2017-13735) - CVE-2017-13735 libraw: Floating point exception in kodak_radc_load_raw function in internal/dcraw_common.cpp
Summary: CVE-2017-13735 libraw: Floating point exception in kodak_radc_load_raw functi...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-13735
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1488931 1483988 1488930 1488932 1488945 1488946 1488947
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 13:30 UTC by Pedro Sampaio
Modified: 2019-09-29 14:20 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 06:30:49 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-09-05 13:30:06 UTC
There is a floating point exception in dcraw_common.cpp of libRAW. It will lead to remote denial of service attack.

Upstream bug:

https://github.com/LibRaw/LibRaw/issues/96

Proposed patch:

https://github.com/LibRaw/LibRaw/files/1276421/radc_divbyzero.txt

References:

https://bugzilla.redhat.com/show_bug.cgi?id=1483988

Comment 1 Pedro Sampaio 2017-09-06 13:27:38 UTC
Created dcraw tracking bugs for this issue:

Affects: fedora-all [bug 1488932]


Created libkdcraw tracking bugs for this issue:

Affects: fedora-all [bug 1488931]


Created rawtherapee tracking bugs for this issue:

Affects: fedora-all [bug 1488930]

Comment 2 Pedro Sampaio 2017-09-06 13:41:01 UTC
Created LibRaw tracking bugs for this issue:

Affects: epel-6 [bug 1488945]
Affects: fedora-all [bug 1488947]


Created mingw-LibRaw tracking bugs for this issue:

Affects: fedora-all [bug 1488946]


Note You need to log in before you can comment on or make changes to this bug.